Name: tkdiffb
Version: 1.0.0
Release: alt2
Summary(ru_RU.KOI8-R):    DIFF
License: GPL
Group: Development/Other
Source: %name-%version.tar.bz2
Source1: icons-tkdiff.tar.bz2
Patch: tkdiff-dir.patch.bz2
Patch1: tkdiff.revdiff.patch.bz2
Url: http://www.accurev.com/free/tkdiff
Requires: tk
Requires: diffutils
BuildArch: noarch
Autoreq: yes, noshell

%description
tkDIFF is a Tk based graphical interface to the DIFF utility.

%description -l ru_RU.KOI8-R
tkDiff -     DIFF -     .       .


%prep
%setup -q -n %name
#%patch -p1 -b %name-dir
%patch1 -p1

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
install tkdiffb $RPM_BUILD_ROOT%_bindir/tkdiff

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 icon="tkdiff.xpm" section="Applications/Development/Tools"  title=TkDiff longtitle="Graphical Front-End for diff" command=tkdiff
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%_iconsdir
tar xIvf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc COPYING

%attr(755,root,root) %prefix/bin/*

%_libdir/menu/%name
%_iconsdir/tkdiff.xpm
%_iconsdir/large/tkdiff.xpm
%_iconsdir/mini/tkdiff.xpm


%changelog
* Tue Mar 18 2003 Alexey Dyachenko <alexd@altlinux.ru> 1.0.0-alt2
- Reverse diff patch

* Mon Nov 11 2002 Sergey Kalinin <banzaj@altlinux.ru> 1.0.0-alt1
- Initial release                                 
